# Libraries that are needed in this script
import numpy as np
import least_squares as ls # This is the file where we wrote the
                                     # LinearFunction class

print("\n Exectuting gaussian_least_squares_main.py")

################################################################################
#
# Intitalize GaussianLeastSquares object

# Set matrix parameters
m = 13
n = 3

# Instantiate GaussianLeastSquares object with m rows and n columns.
LSobject = ls.GaussianLeastSquares(m,n)

################################################################################
#
# Solve least squares by nvoking the method solve of the least squares class
x = LSobject.solve()

################################################################################
#
# Print the matrix A and the vectors y and x
print ("\n A = ")
ls.print_matrix(LSobject.A)
print ("\n y = ")
ls.print_matrix(LSobject.y)
print ("\n x = ")
ls.print_matrix(x)
print("\n")






